Bug 1102791 - Backport prerequisites for ISPN-3717 (non-indexed query)
Summary: Backport prerequisites for ISPN-3717 (non-indexed query)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER6
: 6.3.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-29 14:42 UTC by Adrian Nistor
Modified: 2015-01-26 14:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 14:03:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-3917 Major Resolved Filter objects using the query DSL (without using an index) 2014-06-25 08:59:49 UTC
Red Hat Issue Tracker ISPN-4047 Major Resolved Use the sort criteria provided by hql-parser (after fixing HQLPARSER-24) 2014-06-25 08:59:49 UTC

Description Adrian Nistor 2014-05-29 14:42:50 UTC
ISPN-3917 and ISPN-4047 need to be backported first

Comment 2 Adrian Nistor 2014-05-29 15:39:05 UTC
PR here: https://github.com/infinispan/jdg/pull/109

Comment 3 Radim Vansa 2014-06-18 13:09:15 UTC
Adrian: I've seen several TODOs in the PR regarding filtering on byte arrays etc - can you ellaborate a bit more? What is expected to not work?

Comment 4 Adrian Nistor 2014-06-18 15:11:15 UTC
Radim, the TODO you mention is probably the one in FilterCallback. That is no longer relevant today, so I will remove it.

But there are other bits missing in the non-indexed implementation related to sorting, and some disabled tests because of this. These are now fixed here https://issues.jboss.org/browse/ISPN-4400, and I hope it will be integrated today or tomorrow morning.

Comment 5 Radim Vansa 2014-06-18 15:27:27 UTC
Adrian: It does not seem as the relevant JIRA, could you check and add it to the external trackers?

Comment 6 Radim Vansa 2014-06-19 08:06:55 UTC
Adrian if there's something missing that is yet to be integrated, please, change the status of bugzilla to MODIFIED.

Comment 7 Radim Vansa 2014-06-19 12:13:46 UTC
I've ran the testsuite for objectfilter and besides the two disabled tests it seems to work.

https://bugzilla.redhat.com/show_bug.cgi?id=1104667 is tracking the non-indexed query functionality.


Note You need to log in before you can comment on or make changes to this bug.